[PATCH] config/profile.fish.in: Prevent bracketed variables and unmatched wildcard errors

2024-03-26 Thread Aaron Merey
Fish does not support bracketed variables in scripts. Remove brackets from the variable ${prefix} in profile.fish before installation to prevent this error. Fish also raises an error for unmatched wildcards, except for special cases like the set command. Use a wildcard to match .urls files using

Re: [PATCH] config: Make sure profile.sh succeeds with set -e and set -o pipefail

2024-03-26 Thread Dmitry V. Levin
On Tue, Mar 26, 2024 at 09:49:48PM +0100, Mark Wielaard wrote: > profile.sh might fail with set -o pipefail because: > > cat /dev/null "${prefix}/etc/debuginfod"/*.urls 2>/dev/null | tr '\n' ' ' > > might fail when there isn't an *.urls file the first command in the > pipe fails (the 2>/dev/null

[Bug debuginfod/31562] profile.sh might fail with set -o pipefail

2024-03-26 Thread mark at klomp dot org
https://sourceware.org/bugzilla/show_bug.cgi?id=31562 --- Comment #1 from Mark Wielaard --- Proposed patch: https://inbox.sourceware.org/elfutils-devel/20240326204948.794765-1-m...@klomp.org/ -- You are receiving this mail because: You are on the CC list for the bug.

[PATCH] config: Make sure profile.sh succeeds with set -e and set -o pipefail

2024-03-26 Thread Mark Wielaard
profile.sh might fail with set -o pipefail because: cat /dev/null "${prefix}/etc/debuginfod"/*.urls 2>/dev/null | tr '\n' ' ' might fail when there isn't an *.urls file the first command in the pipe fails (the 2>/dev/null is there to hide that failure). This can be fixed by adding || echo -n ""

[Bug debuginfod/31562] profile.sh might fail with set -o pipefail

2024-03-26 Thread amerey at redhat dot com
https://sourceware.org/bugzilla/show_bug.cgi?id=31562 Aaron Merey changed: What|Removed |Added CC||amerey at redhat dot com Assi

[Bug debuginfod/31562] New: profile.sh might fail with set -o pipefail

2024-03-26 Thread mark at klomp dot org
https://sourceware.org/bugzilla/show_bug.cgi?id=31562 Bug ID: 31562 Summary: profile.sh might fail with set -o pipefail Product: elfutils Version: unspecified Status: NEW Severity: normal Priority: P2 Component: